A few days, I rescued a Windows victim over to Debian. To try to rescue the remains, I helped set up automatic sync with Google Drive. I did not find any sensible Debian package handling this automatically, so I rebuild the grive2 source from the Ubuntu UPD8 PPA to do the task and added a autostart desktop entry and a small shell script to run in the background while the user is logged in to do the sync. Here is a sketch of the setup for future reference.
I first created ~/googledrive, entered the directory and ran 'grive -a' to authenticate the machine/user. Next, I created a autostart hook in ~/.config/autostart/grive.desktop to start the sync when the user log in:
[Desktop Entry] Name=Google drive autosync Type=Application Exec=/home/user/bin/grive-sync
Finally, I wrote the ~/bin/grive-sync script to sync ~/googledrive/ with the files in Google Drive.
#!/bin/sh set -e cd ~/ cleanup() { if [ "$syncpid" ] ; then kill $syncpid fi } trap cleanup EXIT INT QUIT /usr/lib/grive/grive-sync.sh listen googledrive 2>&1 | sed "s%^%$0:%" & syncpdi=$! while true; do if ! xhost >/dev/null 2>&1 ; then echo "no DISPLAY, exiting as the user probably logged out" exit 1 fi if [ ! -e /run/user/1000/grive-sync.sh_googledrive ] ; then /usr/lib/grive/grive-sync.sh sync googledrive fi sleep 300 done 2>&1 | sed "s%^%$0:%"
Feel free to use the setup if you want. It can be assumed to be GNU GPL v2 licensed (or any later version, at your leisure), but I doubt this code is possible to claim copyright on.
As usual, if you use Bitcoin and want to show your support of my activities, please send Bitcoin donations to my address 15oWEoG9dUPovwmUL9KWAnYRtNJEkP1u1b.